Page MenuHomePhabricator

efl_ui_widget: move focus_highlight to the window
ClosedPublic

Authored by bu5hm4n on Feb 25 2019, 11:49 PM.

Details

Summary

the widget implementation just redirected calls from efl_ui_widget to
efl_ui_win. Which makes the properties unncessesary on the widget. This
commit moves them now to the window.

The legacy implementation of the window can now go away, as this is
taken care of by eolian directly.

ref T7553

Depends on D8017

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Feb 25 2019, 11:49 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Feb 25 2019, 11:49 PM
bu5hm4n updated this revision to Diff 19690.Feb 26 2019, 2:36 AM
bu5hm4n edited the summary of this revision. (Show Details)

update & fixes

woohyun accepted this revision.Feb 26 2019, 3:41 AM
This revision is now accepted and ready to land.Feb 26 2019, 3:41 AM

Maybe it's unrelated, but I get this:

ERR<57956>:eo lib/eo/eo.c:569 _efl_object_call_resolve() in lib/elementary/efl_ui_win.eo.c:688: func 'efl_ui_win_focus_highlight_enabled_get' (856) could not be resolved for class 'Elm.Genlist'.

when I close the "Tooltip 2" elementary_test after expanding some item in the list.

I am adding this comment to this ticket because it seems the most related, but I have not tested if this problem actually appears because of this patch.

Closed by commit rEFLb704db8f0780: efl_ui_widget: move focus_highlight to the window (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 27 2019, 11:20 AM
This revision was automatically updated to reflect the committed changes.